import { html as p } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, n = (i, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, s) : t, c = i.length - 1, a; c >= 0; c--)
    (a = i[c]) && (e = (r ? a(t, s, e) : a(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--columnLarge", this.class = "c-pieIcon c-pieIcon--columnLarge", this.name = "IconColumnLarge";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--columnLarge"><path d="M12.342 4.669H7.293a2.633 2.633 0 0 0-2.625 2.625V24.74a2.633 2.633 0 0 0 2.625 2.625h5.05a2.633 2.633 0 0 0 2.624-2.625V7.294a2.633 2.633 0 0 0-2.625-2.625m.875 20.072a.88.88 0 0 1-.875.875H7.293a.88.88 0 0 1-.875-.875V7.294c0-.482.394-.875.875-.875h5.05c.48 0 .874.393.874.875z"></path><path d="M24.689 4.669h-5.05a2.633 2.633 0 0 0-2.624 2.625V24.74a2.633 2.633 0 0 0 2.625 2.625h5.049a2.633 2.633 0 0 0 2.625-2.625V7.294a2.633 2.633 0 0 0-2.625-2.625m.875 20.072a.88.88 0 0 1-.875.875h-5.05a.88.88 0 0 1-.874-.875V7.294c0-.482.393-.875.875-.875h5.049c.48 0 .875.393.875.875z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  m("icon-column-large")
], o);
export {
  o as IconColumnLarge
};
